Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XParticipationVrfRespSprfWit

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XParticipationVrfRespSprfWit

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XParticipationVrfRespSprfWit

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XParticipation Vrf Resp Sprf Wit', and utility methods for working with them. abstDomain: V19083 (C-0-D10901-V19083-cpt)

See Also:
  `CDAR2Package.getXParticipationVrfRespSprfWit()`

Field Summary
`static int` | `RESP` The 'RESP' literal value.
`static XParticipationVrfRespSprfWit` | `RESP_LITERAL` The 'RESP' literal object.
`static int` | `SPRF` The 'SPRF' literal value.
`static XParticipationVrfRespSprfWit` | `SPRF_LITERAL` The 'SPRF' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XParticipation Vrf Resp Sprf Wit' enumerators.
`static int` | `VRF` The 'VRF' literal value.
`static XParticipationVrfRespSprfWit` | `VRF_LITERAL` The 'VRF' literal object.
`static int` | `WIT` The 'WIT' literal value.
`static XParticipationVrfRespSprfWit` | `WIT_LITERAL` The 'WIT' literal object.

Method Summary
`static XParticipationVrfRespSprfWit` | `get(int value)` Returns the 'XParticipation Vrf Resp Sprf Wit' literal with the specified integer value.
`static XParticipationVrfRespSprfWit` | `get(java.lang.String literal)` Returns the 'XParticipation Vrf Resp Sprf Wit' literal with the specified literal value.
`static XParticipationVrfRespSprfWit` | `getByName(java.lang.String name)` Returns the 'XParticipation Vrf Resp Sprf Wit' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VRF

    public static final int VRF

  The 'VRF' literal value.

  If the meaning of 'VRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VRF_LITERAL`, Constant Field Values

### RESP

    public static final int RESP

  The 'RESP' literal value.

  If the meaning of 'RESP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESP_LITERAL`, Constant Field Values

### SPRF

    public static final int SPRF

  The 'SPRF' literal value.

  If the meaning of 'SPRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPRF_LITERAL`, Constant Field Values

### WIT

    public static final int WIT

  The 'WIT' literal value.

  If the meaning of 'WIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WIT_LITERAL`, Constant Field Values

### VRF_LITERAL

    public static final XParticipationVrfRespSprfWit VRF_LITERAL

  The 'VRF' literal object.

  See Also:
    `VRF`

### RESP_LITERAL

    public static final XParticipationVrfRespSprfWit RESP_LITERAL

  The 'RESP' literal object.

  See Also:
    `RESP`

### SPRF_LITERAL

    public static final XParticipationVrfRespSprfWit SPRF_LITERAL

  The 'SPRF' literal object.

  See Also:
    `SPRF`

### WIT_LITERAL

    public static final XParticipationVrfRespSprfWit WIT_LITERAL

  The 'WIT' literal object.

  See Also:
    `WIT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XParticipation Vrf Resp Sprf Wit' enumerators.

Method Detail

### get

    public static XParticipationVrfRespSprfWit get(java.lang.String literal)

  Returns the 'XParticipation Vrf Resp Sprf Wit' literal with the specified literal value.

### getByName

    public static XParticipationVrfRespSprfWit getByName(java.lang.String name)

  Returns the 'XParticipation Vrf Resp Sprf Wit' literal with the specified name.

### get

    public static XParticipationVrfRespSprfWit get(int value)

  Returns the 'XParticipation Vrf Resp Sprf Wit' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD